
// Spring 2014 ICE #22 Practie Exam 3
// One Possible Solution

// This draws the squares by only drawing the
// stroke with noFill( ). This allows what was
// behind the square from the last frame to be seen
// and provides some different patterns when the
// squares intersect.

// The rectMode( ) is set to CENTER 

float [ ] x = { 50, 110, 120, 205, 230, 320, 360 };
float [ ] y = { 56, 200, 100, 300, 245,  78, 345 };
color [ ] cols = { color( 200, 0, 0 ),
                   color( 0, 200, 0 ),
                   color( 0, 0, 200 ),
                   color( 200, 200, 0 ),
                   color( 200, 0, 200 ),
                   color( 0, 200, 200 ),
                   color( 80, 160, 240)
                 };

int dimension;  


void setup( )
{
   size( 400, 400 );  
   noFill( );
   rectMode( CENTER );
   strokeWeight( 5 );
   dimension = 1;

}

void draw( )
{ 
    drawFigures( );
    dimension++;
}

void drawFigures( )
{
  for( int i = 0; i < y.length; i++)
  {
    stroke( cols[i] );
    rect( x[i], y[i], dimension, dimension );
  }
}

void mousePressed( )
{
   background( 200 );
   dimension = 0; 
}


